From eec124ff2d1d74b1e30e43da86e8708cbdd51af9 Mon Sep 17 00:00:00 2001
From: Matteo Croce <matteo@openwrt.org>
Date: Mon, 10 Jul 2017 16:23:05 +0200
Subject: [PATCH 1/3] ath: all chans

---
 drivers/net/wireless/ath/ath10k/core.h |  2 +-
 drivers/net/wireless/ath/ath10k/mac.c  | 28 ++++++++++++++++++++++++++++
 drivers/net/wireless/ath/regd.c        | 15 +++++++++++----
 3 files changed, 40 insertions(+), 5 deletions(-)

diff --git a/drivers/net/wireless/ath/ath10k/core.h b/drivers/net/wireless/ath/ath10k/core.h
index bf091514ecc6..1daac9ebad8a 100644
--- a/drivers/net/wireless/ath/ath10k/core.h
+++ b/drivers/net/wireless/ath/ath10k/core.h
@@ -46,7 +46,7 @@
 #define WMI_READY_TIMEOUT (5 * HZ)
 #define ATH10K_FLUSH_TIMEOUT_HZ (5 * HZ)
 #define ATH10K_CONNECTION_LOSS_HZ (3 * HZ)
-#define ATH10K_NUM_CHANS 40
+#define ATH10K_NUM_CHANS 68
 
 /* Antenna noise floor */
 #define ATH10K_DEFAULT_NOISE_FLOOR -95
diff --git a/drivers/net/wireless/ath/ath10k/mac.c b/drivers/net/wireless/ath/ath10k/mac.c
index 4674ff33d320..b5680a450312 100644
--- a/drivers/net/wireless/ath/ath10k/mac.c
+++ b/drivers/net/wireless/ath/ath10k/mac.c
@@ -7669,6 +7669,15 @@ static const struct ieee80211_channel ath10k_2ghz_channels[] = {
 };
 
 static const struct ieee80211_channel ath10k_5ghz_channels[] = {
+	CHAN5G(1, 5005, 0),
+	CHAN5G(5, 5025, 0),
+	CHAN5G(9, 5045, 0),
+	CHAN5G(12, 5060, 0),
+	CHAN5G(16, 5080, 0),
+	CHAN5G(20, 5100, 0),
+	CHAN5G(24, 5120, 0),
+	CHAN5G(28, 5140, 0),
+	CHAN5G(32, 5160, 0),
 	CHAN5G(36, 5180, 0),
 	CHAN5G(40, 5200, 0),
 	CHAN5G(44, 5220, 0),
@@ -7677,6 +7686,14 @@ static const struct ieee80211_channel ath10k_5ghz_channels[] = {
 	CHAN5G(56, 5280, 0),
 	CHAN5G(60, 5300, 0),
 	CHAN5G(64, 5320, 0),
+	CHAN5G(68, 5340, 0),
+	CHAN5G(72, 5360, 0),
+	CHAN5G(76, 5380, 0),
+	CHAN5G(80, 5400, 0),
+	CHAN5G(84, 5420, 0),
+	CHAN5G(88, 5440, 0),
+	CHAN5G(92, 5460, 0),
+	CHAN5G(96, 5480, 0),
 	CHAN5G(100, 5500, 0),
 	CHAN5G(104, 5520, 0),
 	CHAN5G(108, 5540, 0),
@@ -7689,12 +7706,23 @@ static const struct ieee80211_channel ath10k_5ghz_channels[] = {
 	CHAN5G(136, 5680, 0),
 	CHAN5G(140, 5700, 0),
 	CHAN5G(144, 5720, 0),
+	CHAN5G(148, 5740, 0),
 	CHAN5G(149, 5745, 0),
 	CHAN5G(153, 5765, 0),
 	CHAN5G(157, 5785, 0),
 	CHAN5G(161, 5805, 0),
 	CHAN5G(165, 5825, 0),
 	CHAN5G(169, 5845, 0),
+	CHAN5G(173, 5865, 0),
+	CHAN5G(177, 5885, 0),
+	CHAN5G(181, 4905, 0),
+	CHAN5G(183, 4915, 0),
+	CHAN5G(184, 4920, 0),
+	CHAN5G(185, 4925, 0),
+	CHAN5G(187, 4935, 0),
+	CHAN5G(189, 4945, 0),
+	CHAN5G(192, 4960, 0),
+	CHAN5G(196, 4980, 0),
 };
 
 struct ath10k *ath10k_mac_create(size_t priv_size)
diff --git a/drivers/net/wireless/ath/regd.c b/drivers/net/wireless/ath/regd.c
index e25bfdf78c2e..7e5baa2430b5 100644
--- a/drivers/net/wireless/ath/regd.c
+++ b/drivers/net/wireless/ath/regd.c
@@ -114,6 +114,15 @@ static const struct ieee80211_regdomain ath_world_regdom_67_68_6A_6C = {
 	}
 };
 
+static const struct ieee80211_regdomain ath_freedom = {
+	.n_reg_rules = 2,
+	.alpha2 =  "99",
+	.reg_rules = {
+		REG_RULE(2412-10, 2484+10, 40, 0, 30, 0),
+		REG_RULE(4900-10, 5900+10, 160, 0, 30, 0),
+	}
+};
+
 static bool dynamic_country_user_possible(struct ath_regulatory *reg)
 {
 	if (IS_ENABLED(CONFIG_ATH_REG_DYNAMIC_USER_CERT_TESTING))
@@ -216,7 +225,7 @@ EXPORT_SYMBOL(ath_is_world_regd);
 static const struct ieee80211_regdomain *ath_default_world_regdomain(void)
 {
 	/* this is the most restrictive */
-	return &ath_world_regdom_64;
+	return &ath_freedom;
 }
 
 static const struct
@@ -258,9 +267,7 @@ static bool ath_is_radar_freq(u16 center_freq,
 			      struct ath_regulatory *reg)
 
 {
-	if (reg->country_code == CTRY_INDIA)
-		return (center_freq >= 5500 && center_freq <= 5700);
-	return (center_freq >= 5260 && center_freq <= 5700);
+	return 0;
 }
 
 static void ath_force_clear_no_ir_chan(struct wiphy *wiphy,
-- 
2.13.2

